Termine un rappel
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>"
}
'import requests
url = "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete"
payload = {
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({outputFields: {}, typedOutputs: {}, failureReasonType: '<string>'})
};
fetch('https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outputFields' => [
],
'typedOutputs' => [
],
'failureReasonType' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete"
payload := strings.NewReader("{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Rappels
Complete a callback
Terminer l’exécution d’une action bloquée spécifique par ID.
POST
/
automation
/
v4
/
actions
/
callbacks
/
{callbackId}
/
complete
Termine un rappel
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>"
}
'import requests
url = "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete"
payload = {
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({outputFields: {}, typedOutputs: {}, failureReasonType: '<string>'})
};
fetch('https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'outputFields' => [
],
'typedOutputs' => [
],
'failureReasonType' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete"
payload := strings.NewReader("{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"outputFields\": {},\n \"typedOutputs\": {},\n \"failureReasonType\": \"<string>\"\n}"
response = http.request(request)
puts response.read_bodyThis response has no body data.{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Supported products
Supported products
Required Scopes
Required Scopes
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
L'identifiant unique du rappel spécifique à compléter.
Corps
application/json
Contient les champs de sortie associés au rappel, chaque champ étant représenté comme une paire clé-valeur.
Show child attributes
Show child attributes
Contient les sorties typées liées au rappel, structurées sous forme d'objet.
Indique la raison de l'échec d'une complétion de rappel.
Réponse
No content
Dernière modification le 1 avril 2026